/*
Theme Name:     Rife-free-child
Theme URI:      
Description:    Rife-free child theme.
Author:         Me
Author URI:     
Template:       rife-free
Version:        0.1.0
*/

/* Sticky header logo behaviour */
.header-variant-one_line_centered.sticky-values .logo-container,
.header-horizontal .sticky-values .logo-container a.logo {
    max-width: 125px !important;
    transition: max-width 0.2s ease;
}

/* Page title with breadcrumb */
.title-bar .overlay-color .in {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: column;
}
.home .title-bar .overlay-color .in .breadcrumbs {
    display: none;
}

/* Tainacan items list */
.theme-items-list {
	--tainacan-yellow1: #fdf6d7 !important;
	--tainacan-input-color: #454647 !important;
	--tainacan-input-border-color: #f2f2f2 !important;
	--tainacan-input-background-color: #fbfbfb !important;
	--tainacan-item-background-color: #fbfbfb !important;
	--tainacan-item-hover-background-color: white !important;
	--tainacan-item-heading-hover-background-color: #fcfcfc !important;
	--tainacan-primary: #cddce9 !important;
	--tainacan-secondary: #004080 !important;
	--tainacan-block-gray3: #adabab !important;
	--tainacan-block-primary: #004080 !important;
}
#filters-modal .modal-content {
    box-sizing: border-box;
}
.theme-items-list .tainacan-records-container .tainacan-record .metadata-title,
.theme-items-list .tainacan-masonry-container .tainacan-masonry-item .metadata-title,
.theme-items-list .tainacan-cards-container .tainacan-card .metadata-title {
    min-height: auto !important;
}
.theme-items-list .table-container .table-wrapper table.tainacan-table tbody tr td {
    height: 40px !important;
}
.theme-items-list .dropdown-menu div.dropdown-content .dropdown-item {
    box-sizing: border-box;
}


/* Gutenberg full block */
.alignfull {
    width: 100%;
    width: 100vw;
    margin-left: calc(-1 * ((100vw - 100%)/2));
    margin-right: calc(-1 * ((100vw - 100%)/2));
}
body:not(.site-layout-full) .alignwide {
    width: calc(100% + 120px);
    margin-left: -60px;
    margin-right: -60px;
}

/* Image blocks break word */
.wp-block-kioken-imagebox h1,
.wp-block-kioken-imagebox h2,
.wp-block-kioken-imagebox h3,
.wp-block-kioken-imagebox h4,
.wp-block-kioken-imagebox h5,
.wp-block-kioken-imagebox h6 {
    word-wrap: break-word;
}
.wp-block-kioken-imagebox__inner {
    padding: 0.5rem;
}

/* Image box shadow is too much on the parent theme */
.wp-block-kioken-imagebox.has-box-shadow {
    -webkit-box-shadow: 0px 5px 32px -15px rgba(0,0,0,0.4);
    box-shadow: 0px 5px 32px -15px rgba(0,0,0,0.4);
}

/* Grids block need better responsiviness */
@media screen and (min-width: 769px) and (max-width: 1024px) {
    .grids-is-advanced .grids-s-w_i {
        display: flex;
        flex-wrap: wrap;
    }
    .grids-is-advanced .grids-s-w_i>div {
        flex-basis: 30%;
        height: auto !important;
    }
}

/* Single item Page for Tainacan */
.tainacan-content.single-item--document {
    display: flex;
    justify-content: center;
    padding: 12px;
}
.tainacan-content.single-item--document > iframe, 
.tainacan-content.single-item--document > img.attachment-large {
    display: block;
    height: auto;
    margin: 0 auto;
    border: none;
}
.tainacan-content.single-item--document > audio {
    width: 100%;
}
@media only screen and (min-width: 768px) {
    .tainacan-content.single-item--document > iframe {
        min-height: 600px;
    }
}
@media only screen and (max-width: 576px) {
    .tainacan-content.single-item--document > iframe {
        min-height: 429px;
    }
}
.tainacan-content.single-item--document .tainacan-embed-container {
    width: 100%;
}
.tainacan-content.single-item--document .tainacan-embed-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.tainacan-content.single-item--attachments {
    display: flex;
    flex-wrap: wrap;
    padding: 12px;
}
.tainacan-content.single-item--attachments .single-item--attachments-file { 
    max-width: 82px;
    padding: 12px;
    text-align: center;
}
.tainacan-content.single-item--attachments .single-item--attachments-file .single-item-file-name {
    word-break: break-all;
    line-height: 1;
}
.tainacan-content.single-item--metadata {
    padding: 12px;
    column-count: 2;
}
@media only screen and (max-width: 768px) {
    .tainacan-content.single-item--metadata {
        column-count: 1;
    }
}
.tainacan-content.single-item--metadata .tainacan-metadata {
    break-inside: avoid;
}
.tainacan-content.single-item--metadata .tainacan-metadata h3 {
    margin-bottom: 0;
    text-transform: none;
    font-size: 1.35em;
    line-height: 1.1;
}
.tainacan-content.single-item--metadata .tainacan-metadata p {
    margin-block-start: 0.5em;
}
.tainacan-content.single-item--metadata .tainacan-metadata .multivalue-separator,
.tainacan-content.single-item--metadata .tainacan-metadata .hierarchy-separator {
    color: #777777;
}

#brave-contact-form {
    position: fixed;
    background: #ececec;
    bottom: 16px;
    right: 16px;
    z-index: 9999999;
    width: 75px;
    height: 75px;
    border-radius: 100%;
    display: block;
    text-align: center;
    box-shadow: 0px 3px 12px -9px #000;
    cursor: pointer;
    transform: scale(1.0);
    transition: transform 0.4s ease, background 0.4s ease;
}
#brave-contact-form:hover {
    background: #f0f0f0;
    transform: scale(1.1);
}
#brave-contact-form img {
    padding: 7px;
    max-width: 100%;
    display: block;
    width: 38px;
    margin: 15px 12px;
}